/**
 * Copyright IBM Corp. 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */

'use strict';

var React = require('react');
var usePrefix = require('../node_modules/@carbon-labs/utilities/es/usePrefix.js');

/** Primary UI component for user interaction */

const TextHighlighter = _ref => {
  let {
    children,
    kind = 'mark',
    type = 'default',
    reference,
    ...rest
  } = _ref;
  const prefix = usePrefix.usePrefix();
  let containerClass = '';
  let BaseTag = 'mark';
  switch (kind) {
    case 'ins':
      containerClass = `${prefix}--text-highlighter__container ${prefix}--text-highlighter__container__ins`;
      BaseTag = 'ins';
      break;
    case 'del':
      containerClass = `${prefix}--text-highlighter__container ${prefix}--text-highlighter__container__del`;
      BaseTag = 'del';
      break;
    default:
      containerClass = `${prefix}--text-highlighter__container ${prefix}--text-highlighter-${type}`;
  }
  return /*#__PURE__*/React.createElement("div", {
    className: containerClass
  }, /*#__PURE__*/React.createElement(BaseTag, null, children), kind === 'mark' && reference && /*#__PURE__*/React.createElement("sup", null, reference));
};

exports.TextHighlighter = TextHighlighter;
